Bug 1015872 - Edit VM Disk causes NullPointerException
Edit VM Disk causes NullPointerException
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity urgent
: ---
: 3.3.0
Assigned To: Sergey Gotliv
yeylon@redhat.com
storage
: TestBlocker
Depends On:
Blocks: 600483 1003629
  Show dependency treegraph
 
Reported: 2013-10-06 08:40 EDT by vvyazmin@redhat.com
Modified: 2016-04-18 02:46 EDT (History)
12 users (show)

See Also:
Fixed In Version: is18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sgotliv: Triaged+


Attachments (Terms of Use)
## Logs rhevm, vdsm, libvirt, thread dump, superVdsm (2.17 MB, application/x-gzip)
2013-10-06 08:40 EDT, vvyazmin@redhat.com
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19898 None None None Never
oVirt gerrit 19971 None None None Never

  None (edit)
Description vvyazmin@redhat.com 2013-10-06 08:40:13 EDT
Created attachment 808484 [details]
## Logs rhevm, vdsm, libvirt, thread dump, superVdsm

Description of problem:
Failed resize disk size to powered-on VM

Version-Release number of selected component (if applicable):
Failed, tested on RHEVM 3.3 - IS17.1 environment:
Tested on FCP Data Centers

Host OS: RHEL 6.5

RHEVM:  rhevm-3.3.0-0.24.master.el6ev.noarch
PythonSDK:  rhevm-sdk-python-3.3.0.15-1.el6ev.noarch
VDSM:  vdsm-4.12.0-170.el6ev.x86_64
LIBVIRT:  libvirt-0.10.2-27.el6.x86_64
QEMU & KVM:  qemu-kvm-rhev-0.12.1.2-2.408.el6.x86_64
SANLOCK:  sanlock-2.8-1.el6.x86_64


How reproducible:
100 %

Steps to Reproduce:
1. Create VM
2. Power on VM
3. Resize disk size

Actual results:
Failed resize disk size to powered-on VM

Expected results:
Secured resize disk size to powered-on VM

Impact on user:
Failed resize disk size to powered-on VM

Workaround:
None

Additional info:

Note: No problems are found with powered-off VM

/var/log/ovirt-engine/engine.log

vent ID: -1, Message: user admin@internal initiated console session for VM vm_0002_Win_B
2013-10-03 15:21:46,482 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (DefaultQuartzScheduler_Worker-58) VM vm_0002_Win_B ce280769-8b99-4810-8f0f-29757ad3abc2 mov
ed from RebootInProgress --> Up
2013-10-03 15:22:02,743 INFO  [org.ovirt.engine.core.bll.UpdateVmDiskCommand] (ajp-/127.0.0.1:8702-4) Lock Acquired to object EngineLock [exclusiveLocks= key: ce280769-8b99-4810
-8f0f-29757ad3abc2 value: VM_DISK_BOOT
key: 670d77f5-1bf5-4c2d-8b73-8f0a56a6f97a value: DISK
, sharedLocks= key: ce280769-8b99-4810-8f0f-29757ad3abc2 value: VM
]
2013-10-03 15:22:02,800 ERROR [org.ovirt.engine.core.bll.UpdateVmDiskCommand] (ajp-/127.0.0.1:8702-4) Error during CanDoActionFailure.: java.lang.NullPointerException
        at org.ovirt.engine.core.bll.UpdateVmDiskCommand.shouldUpdateImageProperties(UpdateVmDiskCommand.java:478) [bll.jar:]
        at org.ovirt.engine.core.bll.UpdateVmDiskCommand.shouldUpdatePropertiesOtherThanSize(UpdateVmDiskCommand.java:463) [bll.jar:]
        at org.ovirt.engine.core.bll.UpdateVmDiskCommand.canDoAction(UpdateVmDiskCommand.java:130) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.internalCanDoAction(CommandBase.java:745) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:360) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:416) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:395) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.RunAction(Backend.java:353) [bll.jar:]
        at sun.reflect.GeneratedMethodAccessor99.invoke(Unknown Source) [:1.7.0_40]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_40]
        at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_40]
        at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee.jar:7.2.1.Final-redhat-10]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:58) [jboss-as-ee.jar:7.2.1.Final-redhat-10]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]

/var/log/vdsm/vdsm.log
Comment 3 vvyazmin@redhat.com 2013-10-13 06:37:15 EDT
Tested on FCP, iSCSI Data Centers
Verified, tested on RHEVM 3.3 - IS18 environment:

Host OS: RHEL 6.5

RHEVM:  rhevm-3.3.0-0.25.beta1.el6ev.noarch
PythonSDK:  rhevm-sdk-python-3.3.0.15-1.el6ev.noarch
VDSM:  vdsm-4.13.0-0.2.beta1.el6ev.x86_64
LIBVIRT:  libvirt-0.10.2-27.el6.x86_64
QEMU & KVM:  qemu-kvm-rhev-0.12.1.2-2.412.el6.x86_64
SANLOCK:  sanlock-2.8-1.el6.x86_64
Comment 7 Itamar Heim 2014-01-21 17:24:54 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:25:39 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:29:13 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.